db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel John Debrunner <...@debrunners.com>
Subject Re: Patch again for DERBY-167.
Date Thu, 12 May 2005 16:23:41 GMT
TomohitoNakayama wrote:
> Hello.
>  
>  
> I send new patch for DERBY-167.
> Please review it again.
>  
>  
> I have one question.
>  
> There seems to be NO implementation to update externalized DD_Version.
> So now, hardupgrade does not works and we can't use BY DEFAULT  .
>  
> Should it be implemented  in this task ?
>  
> I have hesitation about updating version info myself ....

I don't understand your question.

In the previous e-mails I had thought that the only upgrade change
required was the checkVersion if specifying BY DEFAULT.


Hard upgrade works currently, I checked in a manual test under
java/testing/org/apache/derbyTesting/upgradeTests. It doesn't run as
part of the test harness and thius is not part of derbyall. This is
because it boots several JVMs sequentially with different class paths
(e.g. old version and new version). There is a shell script to run the
test, runphases.ksh

Dan.



Mime
View raw message